summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorSam James <sam@gentoo.org>2023-07-31 03:35:13 +0100
committerSam James <sam@gentoo.org>2023-07-31 03:35:13 +0100
commit913d9dfb7d4085a133192fcab817202b2a94bf3b (patch)
treec1e85a0b9a70d319783bb29e458c1832e26260d8 /eclass/toolchain.eclass
parentsys-cluster/glusterfs: Stabilize 10.4 x86, #911506 (diff)
downloadgentoo-913d9dfb7d4085a133192fcab817202b2a94bf3b.tar.gz
gentoo-913d9dfb7d4085a133192fcab817202b2a94bf3b.tar.bz2
gentoo-913d9dfb7d4085a133192fcab817202b2a94bf3b.zip
toolchain.eclass: sanity-check against bootstrapping for cross
Had a report on IRC where bootstrap-cet was being used for a cross-compiler which seems wrong even if it's a bit odd that --disable-bootstrap doesn't win with it. Add a guard as we don't need any of the bootstrap-* targets for cross. Thanks to Ionen for spotting. Signed-off-by: Sam James <sam@gentoo.org>
Diffstat (limited to 'eclass/toolchain.eclass')
-rw-r--r--eclass/toolchain.eclass4
1 files changed, 2 insertions, 2 deletions
diff --git a/eclass/toolchain.eclass b/eclass/toolchain.eclass
index cc104873a497..edd4c89bb00a 100644
--- a/eclass/toolchain.eclass
+++ b/eclass/toolchain.eclass
@@ -1320,8 +1320,8 @@ toolchain_src_configure() {
confgcc+=( "$@" ${EXTRA_ECONF} )
- if [[ -n ${build_config_targets} ]] ; then
- # ./configure --with-build-config='bootstrap-lto bootstrap-cet'
+ if ! is_crosscompile && ! tc-is-cross-compiler && [[ -n ${build_config_targets} ]] ; then
+ # e.g. ./configure --with-build-config='bootstrap-lto bootstrap-cet'
confgcc+=( --with-build-config="${build_config_targets[*]}" )
fi